Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43130/?format=api
{ "ob_id": 43130, "uuid": "0c18a36ee02a4598963c1f7f97acd201", "title": "ICECAPS-ACE: radiosonde measurements from the University of Leeds Windsond unit 5094 deployed by helikite above Summit Station, Greenland, July-August 2023", "abstract": "This dataset contains meteorology measurements (air pressure, temperature, and relative humidity) from the University of Leeds windsond unit 5094 deployed by tethered balloon above the Summit Station field site, Greenland.\r\n\r\nPost-processing of the radiosonde data revealed unrealistic temperature increases when the measurement platform was stationary, these are indicated by a quality control flag. \r\n\r\nThese data were collected as part of the joint Natural Environmental Research Council (NERC) and US National Science Foundation (NSF) -funded Integrated Characterisation of Energy, Clouds, Atmospheric state, and Precipitation at Summit - Aerosol Cloud Experiment (ICECAPS-ACE) project.", "keywords": "radiosonde, tethered balloon", "publicationState": "citable", "dataPublishedTime": "2024-08-07T13:03:55", "doiPublishedTime": "2024-08-07T13:05:18", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43131/?format=api", "dataPath": "/badc/icecaps-ace/data/leeds-windsond-5094", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 600667, "numberOfFiles": 7, "fileFormat": "Data are NetCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11857/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4576/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58079/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/58081/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62252/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/62253/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66814/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66818/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69859/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75043/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75044/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75045/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75046/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75047/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75048/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/75049/?format=api" ], "dataLineage": "Data were collected by the University of Leeds in collaboration with the ICECAPS project team and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13170/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/30502/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204813/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204778/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204779/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204780/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204781/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204782/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204783/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204784/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204785/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/204786/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/43132/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }